Subject: Re: linux-next: build failure after merge of the drm-intel tree

From: Stephen Rothwell <[email-masked]>
Date: Thu, 21 Jan 2021 12:11:46 +1100

Hi all,

On Wed, 20 Jan 2021 10:57:15 +1100 Stephen Rothwell <[email-masked]> wrote:
>
> After merging the drm-intel tree, today's linux-next build (arm
> multi_v7_defconfig) failed like this:
> 
> drivers/gpu/drm/msm/dp/dp_ctrl.c: In function 'dp_ctrl_use_fixed_nvid':
> drivers/gpu/drm/msm/dp/dp_ctrl.c:1425:16: error: implicit declaration of function 'drm_dp_get_edid_quirks'; did you mean 'drm_do_get_edid'? [-Werror=implicit-function-declaration]
>  1425 |  edid_quirks = drm_dp_get_edid_quirks(ctrl->panel->edid);
>       |                ^~~~~~~~~~~~~~~~~~~~~~
>       |                drm_do_get_edid
> drivers/gpu/drm/msm/dp/dp_ctrl.c:1431:11: error: too many arguments to function 'drm_dp_has_quirk'
>  1431 |   return (drm_dp_has_quirk(&ctrl->panel->desc, edid_quirks,
>       |           ^~~~~~~~~~~~~~~~
> In file included from drivers/gpu/drm/msm/dp/dp_ctrl.c:15:
> include/drm/drm_dp_helper.h:2087:1: note: declared here
>  2087 | drm_dp_has_quirk(const struct drm_dp_desc *desc, enum drm_dp_quirk quirk)
>       | ^~~~~~~~~~~~~~~~
> 
> Caused by commit
> 
>   7c553f8b5a7d ("drm/dp: Revert "drm/dp: Introduce EDID-based quirks"")
> 
> Since the drm-intel tree still has its other build failure, I used the
> version from next-20210108 again today.

I still get this failure, but not the one from the drm tree, so I have
used the drm-intel tree from next-20210119 for today.

-- 
Cheers,
Stephen Rothwell